///******************************************************    
///	FileName: Purchase.js
///	Action: 后台求购添加页面JS处理文件
///	Copyright(c)  2004-2008 网胜科技公司技术开发部
///	Writer: XFY
///	Create Date: 2008-12-17
///	Rewriter:
///	Rewrite Date:
///******************************************************  
var rightIcon="../../images/websen.gif"
function ChkInfo(event){
    obj = "txt"+event.data.dd;
    if(event.data.dd<=5)
    {
        if ($("#"+event.data.ss).attr("value")==""){
	        document.getElementById(obj).innerHTML =QgFb[event.data.dd];
            return false;
	    } 
	    else{
	       document.getElementById(obj).innerHTML ="";
	    }   
    }
    else
    {
        if ($("#"+event.data.ss).attr("value")==""){
	        document.getElementById(obj).innerHTML =QgFb[event.data.dd];
            return false;
	    }
	    else if(!isNumber($("#"+event.data.ss).attr("value"))){
		    document.getElementById(obj).innerHTML =QgFb[8];
		    return false; 
		}
	    else{
	        document.getElementById(obj).innerHTML ="";
	    }
    }

}

var txtjbo=new  Array("txtName","txtKey","txtStartDate","txtEndDate","txtBrand","txtModel","txtCount","txtPrice")
$(document).ready(function(){
	for(var i=0;i<=txtjbo.length;i++){ 
        $("#"+txtjbo[i]).bind("focus",{dd:i,ss:txtjbo[i]},ChkInfo);
        $("#"+txtjbo[i]).bind("blur",{dd:i,ss:txtjbo[i]},ChkInfo);
	};
    $("#btnSave").bind("click",Server);
 });
//function setCaret(id,pos) 
//{ 
//    var textbox = document.all(id); 
//    var r = textbox.createTextRange(); 
//    r.collapse(true); 
//    r.moveStart('character',pos); 
//    r.select(); 
//} 

function Server(){
    var arr = 0;
    var pos;
    for(var i=0;i<txtjbo.length;i++){
        obj="txt"+i;
        if ($("#"+txtjbo[i]).attr("value")==""){
            document.getElementById(obj).innerHTML=QgFb[i];
            pos=txtjbo[i];
            arr=1;
        }
    }
    if(arr==1){
         alert(pos);
         return false; 
         pos.focus();
    }
    if (!isNumber($("#"+txtjbo[6]).attr("value"))){
        document.getElementById("txt6").innerHTML =QgFb[8];
        alert("需求数量输入有误!");
	    return false;
    }	
    if (!isNumber($("#"+txtjbo[7]).attr("value"))){
        document.getElementById("txt7").innerHTML =QgFb[8];
        alert("产品单价输入有误!");
	    return false;
    }
    else{
        return true; 
    }
    
}

function ClearErr(value){
    if(value==0){
        document.getElementById("txt2").innerHTML ="";
    }
    else{
        document.getElementById("txt3").innerHTML ="";
    }
}

//求购信息
var QgFb=new Array(9);
QgFb[0]="<img src="+rightIcon+" width=\"19\" height=\"16\" align=\"absmiddle\"> <font color=#FF0000>商机名称不能为空</font>";
QgFb[1]="<img src="+rightIcon+" width=\"19\" height=\"16\" align=\"absmiddle\"> <font color=#FF0000>关键字不能为空</font>";
QgFb[2]="<img src="+rightIcon+" width=\"19\" height=\"16\" align=\"absmiddle\"> <font color=#FF0000>开始日期不能为空</font>";
QgFb[3]="<img src="+rightIcon+" width=\"19\" height=\"16\" align=\"absmiddle\"> <font color=#FF0000>结束日期不能为空</font>";
QgFb[4]="<img src="+rightIcon+" width=\"19\" height=\"16\" align=\"absmiddle\"> <font color=#FF0000>品牌名称不能为空</font>";
QgFb[5]="<img src="+rightIcon+" width=\"19\" height=\"16\" align=\"absmiddle\"> <font color=#FF0000>型号名称不能为空</font>";
QgFb[6]="<img src="+rightIcon+" width=\"19\" height=\"16\" align=\"absmiddle\"> <font color=#FF0000>需求数量不能为空</font>";
QgFb[7]="<img src="+rightIcon+" width=\"19\" height=\"16\" align=\"absmiddle\"> <font color=#FF0000>产品单价不能为空</font>";
QgFb[8]="<img src="+rightIcon+" width=\"19\" height=\"16\" align=\"absmiddle\"> <font color=#FF0000>输入不符合规范,请输入数字!</font>";
//function ChkInfo(num){
//    obj = "txt"+num;
//    value = getobj(txtjbo[num]).value;	// 获取文本框的值
//    switch (num)
//    {
//	    case "0"://商机名称
//	        if (value==""){
//	            document.getElementById(obj).innerHTML =QgFb[num];
//                return false;
//	        } 
//	        else
//	            document.getElementById(obj).innerHTML ="";
//	        break;   
//	   case "1"://关键字
//	      if (value==""){
//	         document.getElementById(obj).innerHTML =QgFb[num];
//             return false;
//	      } 
//	      else
//	         document.getElementById(obj).innerHTML ="";
//	      break;
//	   case "2"://有效期
//          if (value=="")
//	      {
//	         document.getElementById(obj).innerHTML =QgFb[num];
//             return false;
//	      } 
//	      else
//	         document.getElementById(obj).innerHTML ="";
//	      break;
//       case "3"://有效期
//          if (value=="")
//	      {
//	         document.getElementById(obj).innerHTML =QgFb[num];
//             return false;
//	      } 
//	      else
//	         document.getElementById(obj).innerHTML ="";
//	      break; 
//       case "4":  //品牌
//            if (value==""){
//	            document.getElementById(obj).innerHTML =QgFb[num];
//                return false;
//	        } 
//	        else
//	            document.getElementById(obj).innerHTML =""
//	      break;
//       case "5"://型号
//            if (value==""){
//	            document.getElementById(obj).innerHTML =QgFb[num];
//                return false;
//	        } 
//	        else
//	            document.getElementById(obj).innerHTML =""
//	        break; 
//	    case "6"://需求数量
//            if (value==""){
//	            document.getElementById(obj).innerHTML =QgFb[num];
//                return false;
//	        } 
//	        else if(!isNumber (value)){
//		        document.getElementById(obj).innerHTML =GsBc[11];
//		        return false; 
//		    }
//	        else
//	            document.getElementById(obj).innerHTML =""
//	        break; 
//	    case "7"://产品单价
//            if (value==""){
//	            document.getElementById(obj).innerHTML =QgFb[num];
//                return false;
//	        }
//	        else if(!isNumber (value)){
//		        document.getElementById(obj).innerHTML =GsBc[11];
//		        return false; 
//		    }
//	        else
//	            document.getElementById(obj).innerHTML =""
//	        break;     
//    } 
//}
//$(txtjbo[0]).onchange =function a(){
//   ChkInfo("0");
//}
//$(txtjbo[1]).onchange =function b(){
//    ChkInfo("1");
//}
//$(txtjbo[2]).onchange= function c(){
//    ChkInfo("2");
//}
//$(txtjbo[3]).onchange=function d(){
//    ChkInfo("3");
//}
//$(txtjbo[4]).onchange=function e(){
//    ChkInfo("4");
//}
//$(txtjbo[5]).onchange=function f(){
//    ChkInfo("5");
//}
//$(txtjbo[6]).onchange=function g(){
//    ChkInfo("6");
//}
//$(txtjbo[7]).onchange=function h(){
//    ChkInfo("7");
//}
//function $(id){return document.getElementById(id)}
//function getobj(objName)
//{
//   if (document.getElementById(objName)) {return eval('$("'+ objName +'")');}
//   else {return eval('document.all["'+ objName +'"]');}
//}